# LADR

# Library of Automated Deduction Routines

Version August-2006A

Top functions

- top_input
- ioutil
- banner
- std_options

Interpretations

- interp

Inference Rules

- ivy
- xproofs
- ac_redun
- hints
- backdemod
- paramod
- resolve
- clash
- demod
- flatdemod

Formulas and Clauses

- clause_misc
- subsume
- random
- fastparse
- di_tree
- features
- int_code
- weight
- lindex
- maximal
- compress
- sos
- pindex
- parautil
- clausify
- cnf
- just
- clauses
- clauseid
- clist
- topform
- literals
- formula

Indexing and Unification

- attrib
- basic
- mindex
- btm
- btu
- dioph
- discrimw
- discrimb
- discrim
- fpa
- fpalist
- unify

Terms

- accanon
- parse
- termorder
- flatterm
- tlist
- listterm
- termflag
- term

Basic Routines

- symbols
- options
- glist
- strbuf
- string
- hash
- memory
- ibuffer
- fatal
- nonport
- clock
- order